### Signal

# WebKit WebInspector::bring-to-front

#### Declaration

    gboolean
    bring_to_front (
      WebKitWebInspector* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the inspector should be shown.

If the inspector is not attached the inspector window should be shown on top of any other windows. If the inspector is attached the inspector view should be made visible. For example, if the inspector view is attached using a tab in a browser window, the browser window should be raised and the tab containing the inspector view should be the active one. In both cases, if this signal is not handled, the default implementation calls `gtk_window_present()` on the current toplevel `GtkWindow` of the inspector view.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.